<template lang="pug">
    v-card
        v-card-title Drawings and Photos
        v-card-text
            | These fields will auto populate when you add this context to a
            | drawing/photo.
            question(
                v-for="question in questions"
                :question="question"
                @input="grabChange(question.name, $event)"
            )
</template>

<script>
import question from "../Question_Wrapper.vue";
export default {
    name: "drawing_Context",
    props: {
        drawingContext: {
            required: true,
            type: Object
        },
        options: {
            required: true,
            type: Object
        }
    },
    data: function() {
        return {
            localDrawingContext: null,
            questions: [
                {
                    label: "Photo Number",
                    type: "select",
                    options: this.options.photos,
                    name: "photo_context"
                },
                {
                    label: "Drawing Number",
                    type: "select",
                    option: this.options.drawings,
                    name: "drawing_context"
                }
            ]
        };
    },
    created() {
        this.localTimber = this.timber;
    },
    methods: {
        valueChanged() {
            this.$emit("input", { context: "Timber", data: this.localTimber });
        },
        grabChange(element, value) {
            this.localTimber[element] = value;
            this.valueChanged();
        }
    },
    components: {
        question
    }
};
</script>
